Capacity Rules
GET
/workspaces/{workspaceId}/inbox/capacity
Retrieve list of capacity rule
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.workspaceId
string
erforderlich
results.name
string
erforderlich
results.description
string
erforderlich
results.default
boolean
results.capacity
object
erforderlich
Untergeordnete Attribute anzeigen
results.capacity.messaging
integer
results.capacity.email
integer
results.assignedAgentIds
array of string
results.createdAt
string
results.updatedAt
string
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity
Create Capacity Rule
Anfrage-Payload
name
string
erforderlich
description
string
erforderlich
default
boolean
capacity
object
erforderlich
Untergeordnete Parameter anzeigen
capacity.messaging
integer
erforderlich
capacity.email
integer
erforderlich
agents
array of string
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
default
boolean
capacity
object
erforderlich
Untergeordnete Attribute anzeigen
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Get a Capacity Rule
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
default
boolean
capacity
object
erforderlich
Untergeordnete Attribute anzeigen
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Update Capacity Rule
Anfrage-Payload
name
string
description
string
default
boolean
capacity
object
Untergeordnete Parameter anzeigen
capacity.messaging
integer
erforderlich
capacity.email
integer
erforderlich
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
default
boolean
capacity
object
erforderlich
Untergeordnete Attribute anzeigen
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Delete a Capacity Rule
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
Assign Capacity Rule
Anfrage-Payload
agents
array of string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
get agents assigned to Capacity Rule
Antwort-Payload
agents
array of string
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'